@font-face {
	font-family: "PublicSans";
	src: url("../fonts/PublicSans-Thin.ttf") format("truetype");
	font-weight: 100;
}

@font-face {
	font-family: "PublicSans";
	src: url("../fonts/PublicSans-Light.ttf") format("truetype");
	font-weight: 300;
}

@font-face {
	font-family: "PublicSans";
	src: url("../fonts/PublicSans-Medium.ttf") format("truetype");
	font-weight: 500;
}

@font-face {
	font-family: "PublicSans";
	src: url("../fonts/PublicSans-Bold.ttf") format("truetype");
	font-weight: 700;
}

@font-face {
	font-family: "PublicSans";
	src: url("../fonts/PublicSans-ExtraBold.ttf") format("truetype");
	font-weight: 900;
}


:root {
	--bg-dark: #2d2f38;
	--bg-dark-rgb: 45, 47, 56;
	--bg-darker: #222326;
	--text-main: #e5eaf5;
	--text-main-rgb: 229, 234, 245;
	--highlight-grau: #2d2f38;
	--highlight-hellblau: #a0d2eb;
	--highlight-hellblau-rgb: 160, 210, 235;
	--highlight-helllila: #d0bdf4;
	--highlight-lila: #8458b3;
	--highlight-lila-rgb: 132, 88, 179;
	
	--cursor-size: 0.6em;
	--cursor-gap: 0.4em;

	--font-main: "PublicSans";

	--transparenz: 0.1;
}

body {
	font-family: var(--font-main) !important;
	font-size: 1.2em;
	background-color: var(--bg-dark) !important;
	color: var(--text-main) !important;
}

h2 {
	color: var(--text-main) !important;
	border-bottom: 1px solid rgba(var(--highlight-hellblau-rgb), var(--transparenz));
}

.footer-container {
	font-weight: 200;
	font-size: 0.9em;
	background-color: none !important;
	border-top: 1px solid rgba(var(--text-main-rgb), var(--transparenz)) !important;
}

.card {
	/*background-color: var(--bg-dark) !important;*/
	background-color: rgba(var(--highlight-lila-rgb), var(--transparenz)) !important;
	color: var(--text-main) !important;
	border: 1px solid rgba(var(--text-main-rgb), var(--transparenz));
	border-radius: 0;
}

.card-subtitle {
	font-size: 1.3em;
	padding-top: 1em;
	color: var(--highlight-lila) !important;
	margin-top: 1em;
	margin-bottom: 2em;
}

.card-text {
	font-weight: 200;
	font-size: 1em;
	padding-top: 1em;
	padding-bottom: 2em;
	line-height: 1.8em;

}

.enum {
	padding: 1em 0 1em 0;
	font-weight: 200;
}


.hero {
	font-size: 2.8em;
	font-weight: 900;
}

.hero-subtext {
	color: var(--highlight-lila);
}

.highlight-hellblau {
	color: var(--highlight-hellblau) !important;
}

.highlight-lila {
	color: var(--highlight-lila) !important;
}


.cursor-dot {
	display: inline-block;
	width: 0.4em;
	height: 0.4em;
	background-color: rgba(var(--highlight-hellblau-rgb), 1);
	vertical-align: baseline;
	margin-right: 0.2em;
}

.cursor-dot-lila {
	display: inline-block;
	width: 0.4em;
	height: 0.4em;
	background-color: rgba(var(--highlight-lila-rgb), 1);
	vertical-align: baseline;
	margin-right: 0.2em;
}

.bold {
	font-weight: 500;
}


.navbar .nav-link,
.navbar-brand,
.navbar-text {
	font-family: var(--font-main) !important;
	margin-right: 2em;
}

.nav-link.cursor,
.navbar-text.cursor {
	display: inline-flex !important;
	align-items: baseline;
	gap: var(--cursor-gap) !important;
	position: relative;
	text-decoration: none;
	margin-left: 2em;
}	

.nav-link.cursor::before,
.navbar-text.cursor::before {
	content: "" !important;
	display: inline-block !important;
	width: var(--cursor-size) !important;
	height: var(--cursor-size) !important;
	background-color: var(--highlight-lila) !important;
	flex-shrink: 0;
	transform: translateY(0.2em);
}

.nav-item {
	padding: 0.3rem;
}

#contact {
	margin-left: 3em;

}

#contact:hover {
	color: var(--highlight-lila) !important;
}

#logo {
	border-bottom: 1px solid rgba(var(--text-main-rgb), var(--transparenz)) !important;
	padding-bottom: 1em;
	background-image: url("../img/german.png");
	background-repeat: no-repeat;
	background-size: contain;
}

#logo-img {
	max-width: 400px !important;
}

